Unable to enable J2EE modules--Jetty/JBoss not supported?

OK, I've driven myself completely nuts trying to figure this out. All I can find on the subject says to enable App Server Integration and J2EE support will appear. I can see the module types, but can't click any of them.

I've tried setting the Web and EJB dev support libs in the App Server Integration setting tab to both my JBoss global lib (all the .jars in the <jboss-home>/server/default/lib directory) and explicitly to the javax.servlet.jar and jboss-j2ee.jar files, respectively.

Have I completely missed the point, or is it time to switch to JBoss/Tomcat? Thanks much for any info on this.

5 comments
Comment actions Permalink

1) There's a bug whereby when you click on web or ejb module, they don't get highlighted, but are actually selected. Just click next, and you should see that the radio button selection did in fact register

2) The only appserver supported is weblogic. Nothing else can be supported by any plugins until/unless the J2EE api is opened up.

3) Most of the webapp integration plugins are out of date and won't work with the latest eap. The tomcat one is up to date, as is the orion one. Can't speak for anything else.

0
Comment actions Permalink

You're my hero! It was problem #1. It was working, I just couldn't tell.

0
Comment actions Permalink

Mike Morrison wrote:

You're my hero! It was problem #1. It was working, I just couldn't tell.


Is this with the JBoss plugin?

R

0
Comment actions Permalink

No, just a straight IntelliJ install. I thought the JBoss plugin wasn't Aurora-friendly yet. I'm just using ant to build and deploy for development.

0
Comment actions Permalink

Mike Morrison wrote:

No, just a straight IntelliJ install. I thought the JBoss plugin wasn't Aurora-friendly yet. I'm just using ant to build and deploy for development.

Yeah I didn't think it was... haven't updated anything on it. :-\

R

0

Please sign in to leave a comment.